"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const install_1 = require("../install");
class Install extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Install);
        install_1.install(args, flags, this.log, (error) => {
            if (error) {
                throw Error(error);
            }
        });
    }
}
Install.description = 'install package dependencies';
Install.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
exports.default = Install;
