"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const list_1 = require("../list");
class List extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(List);
        list_1.list(args, flags, this.log, (error) => {
            if (error) {
                throw Error(error);
            }
        });
    }
}
List.description = 'lists all available components (widgets or jobs) among all packages';
exports.default = List;
