"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const status_board_1 = require("status-board");
const utilities_1 = require("../utilities");
function start(options, logger, callback) {
    if (!utilities_1.directoryHasStatusBoardProject(process.cwd())) {
        // tslint:disable-next-line max-line-length
        return callback('I couldn\'t find a valid Status Board dashboard. Try generating one with `Status Board new DASHBOARDNAME`.');
    }
    // start Status Board
    status_board_1.default(options, callback);
}
exports.start = start;
