"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const valid_1 = require("./valid");
// -----------------------------------------
// Accepts a list of files or directory names
// Returns "" if invalid.
// -----------------------------------------
function areValidPathElements(paths) {
    const pathsToCheck = Array.isArray(paths) ? paths : [paths];
    return pathsToCheck.every(valid_1.valid);
}
exports.areValidPathElements = areValidPathElements;
