"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
function directoryHasStatusBoardProject(dir) {
    // The project should have these items
    const requiredItems = ['packages', 'package.json', 'config'];
    return requiredItems.every((item) => {
        return fs.existsSync(path.join(dir, item));
    });
}
exports.directoryHasStatusBoardProject = directoryHasStatusBoardProject;
