"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
function isPathContainedInRoot(pathDir, root) {
    if (typeof root !== 'string' || typeof pathDir !== 'string') {
        return false;
    }
    let pathDirCheck;
    if (pathDir[0] !== '/') {
        pathDirCheck = path.join(process.cwd(), pathDir);
    }
    else {
        pathDirCheck = pathDir;
    }
    return pathDirCheck.indexOf(root) === 0;
}
exports.isPathContainedInRoot = isPathContainedInRoot;
