"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("./logger");
function valid(path) {
    if (!path) {
        return false;
    }
    // In case it is another type, like number
    const pathToCheck = path.toString();
    let malicious = false;
    if ((pathToCheck.indexOf('/') !== -1) || (pathToCheck.indexOf('\\') !== -1)) {
        malicious = true;
    }
    if (pathToCheck.indexOf('..') !== -1) {
        malicious = true;
    }
    if (pathToCheck.indexOf('\0') !== -1) {
        malicious = true;
    }
    if (malicious) {
        logger_1.logger.log('Malicious path detected: %s', pathToCheck);
        return false;
    }
    return true;
}
exports.valid = valid;
